var express = require("express");
var bodyParser = require("body-parser");
var cors = require('cors');

var App = {
	Express: {},
	Server: {},
	init: function(settings) {

		App.Express = express();

		App.Express.use(cors());
		App.Express.use(bodyParser.urlencoded());
		App.Express.use(bodyParser.json());

		App.Express.use(passport.initialize());

		App.Express.use(passport.authenticate('jwt', { session: false}));

		if(settings.routes){
			for(var i = 0; i <settings.routes.length; i++){
				var route = settings.routes[i];
				require(route)();
			}
		}

		App.Server = App.Express.listen(process.env.PORT || settings.config.port, function() {
		    console.log("Listening on port %d", App.Server.address().port);
		});
	}
};

module.exports = App;
